Package org.jfree.layouting

## Class LibLayoutInfo

- java.lang.Object
- - org.pentaho.reporting.libraries.base.versioning.DependencyInformation
  - - org.pentaho.reporting.libraries.base.versioning.ProjectInformation
    - - org.jfree.layouting.LibLayoutInfo

-     public class LibLayoutInfo
      extends org.pentaho.reporting.libraries.base.versioning.ProjectInformation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LibLayoutInfo​()` | Constructs an empty project info object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.pentaho.reporting.libraries.base.versioning.ProjectInformation` | `getInstance​()` |

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.versioning.DependencyInformation

      `equals, getInfo, getLicenseName, getName, hashCode, setInfo, setLicenseName, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.versioning.ProjectInformation

      `addLibrary, addOptionalLibrary, addOptionalLibrary, getBootClass, getCopyright, getInternalName, getLibraries, getOptionalLibraries, getProductId, getReleaseBuildNumber, getReleaseCandidateToken, getReleaseMajor, getReleaseMilestone, getReleaseMinor, getReleaseNumber, getVersion, setBootClass, setCopyright`

- - ### Constructor Detail

    - #### LibLayoutInfo

          public LibLayoutInfo​()

      Constructs an empty project info object.

  - ### Method Detail

    - #### getInstance

          public static org.pentaho.reporting.libraries.base.versioning.ProjectInformation getInstance​()